#
# spec file for package golang-github-hoisie-httplib
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2011 Sascha Peilicke <saschpe@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           golang-github-hoisie-httplib
Version:        0.0.0+git20120409.3cbb2f7
Release:        1.1
Summary:        A simple, low-level http library for Go
License:        MIT
Group:          Development/Languages/Other
Url:            https://github.com/hoisie/httplib
Source:         httplib-%{version}.tar.xz
BuildRequires:  golang-packaging
BuildRequires:	xz
Provides:	go-httplib.go = %{version}
Obsoletes:	go-httplib.go < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{go_provides}


%description
httplib.go is a simple extension of Go's http client that provides keep-alive
connections and generic requests. This is a small usage example:

    //get the google home page
    c := new(httplib.Client)
    resp, err := c.Request ("http://google.com", "GET", nil, "")
    data := ioutil.ReadAll( resp.Body )
    println(string(data))

%gosrc_package

%prep
%setup -q -n httplib-%{version}

%build
%goprep github.com/hoisie/httplib
%gobuild

%install
%goinstall
%gosrc

%check
%gotest github.com/hoisie/httplib

%files
%defattr(-,root,root,-)
%doc Readme.md LICENSE
%{go_contribdir}/*

%files source
%defattr(-,root,root,-)
%{go_contribsrcdir}/*

%changelog
* Sat Jul 25 2015 i@marguerite.su
- rename to golang-github-hoisie-httplib
- use golang-packaging for packaging
* Sat Mar 21 2015 i@marguerite.su
- update version 0.0.0+git20120409.3cbb2f7
- drop httplib.go-weekly-fixes.patch
  * upstream contains this fix
- import changed to github.com/hoisie/httplib
- remove go_disable_brp_strip_static_archive usage
* Mon Aug  5 2013 ro@suse.de
- use ExclusiveArch to limit build to the same architectures as go
* Mon Jun 11 2012 graham@andtech.eu
- Update specfile to use new package locaitons
- Add documentation sub package
* Wed Mar  7 2012 graham@andtech.eu
- update spec file to use new Go rpm macros
* Fri Feb  3 2012 graham@andtech.eu
- use go install instead of gomake
* Tue Dec 13 2011 saschpe@suse.de
- Patch to build against weekly.2011-12-02
* Thu Oct  6 2011 graham@andtech.eu
- Synch with upstsream fixes for r60
- add rpmlintrc (ELF strip/static binary warnings)
* Mon Jun 27 2011 graham@andtech.eu
- Patch to build against weekly.2011-06-23
* Fri Jun 24 2011 saschpe@suse.de
- Initial version
